<html>
	<head>
		<!--Changes the of the page -->
		<title>Activity 1</title>
	</head>
	<body>
		<!--creates a heading text-->
		<h1>Software Engineering and Professional Practices</h1>

		<!-- Creates a smaller heading text -->
		<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>
		<!-- Creates a horizontal line -->
		<hr>

		<!-- Creates a paragraph text -->
			<!-- Introductory paragraph -->
			<!-- em creates importance on text -->
			<!--br creates a line break in between text -->
		<p>

		<strong>Keywords:</strong>code of ethics, professional responsibility, software engineering
		<br>
		</p>

		<p>
		<strong>PREAMBLE</strong>

		</p>

		<p>
		The short version of the code summarizes aspirations at a high level of abstraction.  The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software enginnering professionals.  Without the aspirations, the details can become legalistic and tedious; without the details the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
		</p>

		<p>
		Software engineers shall commit themselves to making the analysis, specification, design, development, testing and maintenance of software a beneficial and respected profession.  In accordance with their commitment to the health, safety and welfare of the public, software engineers shall adhere to the following eight principles.
		</p>
		<p>
		<strong>PRINCIPLES</strong>
		</p>
		<ul>
			
			<ol>
				<li><em>Public.</em>  Software engineers shall act consistently with the public interest.</li>
				<li><em>Client and employer.</em>   Software engineers shall act in a manner that is the best interests of tehir client and employer, consistent with the public interest.</li>
				<li><em>Product.</em>  Software engineers shall ensure that their products and related modifications meet the highest professional standard possible.</li>
				<li><em>Judgment.</em>  Software engineers shall maintain integrity and independence in their professional judgment.</li>
				<li><em>Management.</em>  Software engineering managers and leaders shall subscribe and promote an ethical approach t the management of software development and maintenance.</li>
				<li><em>Profession.</em>  Sofware engineers shall advance the integrity and reputation of the profession consistent with the public inyterest.</li>
				<li><em>Colleagues.</em> Software engineers shall be fair and supportive of their colleagues.</li>
				<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of tehir profession and shall promote and ethical approach to the practice of the profession.</li>
					
			</ol>
			</ul>

	
	</body>
</html>